// PoissonSolver.h
// Feris, August 2004

#ifndef POISSON_SOLVER_H
#define POISSON_SOLVER_H

#include "ppm.h"
#include "windows.h"

#define NUMBER_IMAGES 4  

class CPoissonSolver
{
public:
	int m_width, m_height;
	Image *m_gradx, *m_grady;  // Gradient images (read from .txt file created in another Matlab program)
	                           // Note: The padding needs to be done in Matlab program
	BYTE *m_export;            // final result
	
	CPoissonSolver(char *filename);
	~CPoissonSolver();
	void ReconstructImg();

private:
	void ImageGradient(char *filename); // Parse .txt file and set m_gradx, m_grady
	void SetDivergent(double ** u);
	

};

#endif // INTRINSIC_IMAGE_H